#!/usr/bin/env python
import inspect
from pkgname import pkgname
from public import public


@public
def isexternalobject(obj, module):
    if obj is None:
        return
    parent = inspect.getmodule(obj)
    if parent == module:
        return False
    if parent:
        return pkgname(module) != pkgname(parent)
    # not object (variable?)
    for _, _object in inspect.getmembers(module):
        if _object == obj:
            return False
    return None  # unknown
